Bug 1253302 - Layout for login is broken
Layout for login is broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high
: ovirt-3.6.1
: 3.6.0
Assigned To: Greg Sheremeta
Petr Kubica
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 08:39 EDT by Pavel Stehlik
Modified: 2016-04-12 17:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-12 17:25:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
login screen (1.95 MB, video/quicktime)
2015-08-13 08:39 EDT, Pavel Stehlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47054 master MERGED userportal, webadmin: fixed login form column widths Never
oVirt gerrit 47103 ovirt-engine-3.6 MERGED userportal, webadmin: fixed login form column widths Never

  None (edit)
Description Pavel Stehlik 2015-08-13 08:39:11 EDT
Created attachment 1062513 [details]
login screen

Description of problem:
 On login screen the elements are moved - see att movie, where I switched tab of FF. The part with yellow exclamation message is from 3.5 and the white message is from 3.6

Version-Release number of selected component (if applicable):
rhevm-3.6.0-0.11.master.el6.noarch
FF 39.0

How reproducible:
100%


Steps to Reproduce:
1. show login screen on normal resolution eg: 1440x900
2.
3.

Actual results:
The "User Name" is wrapped and thus the Password and other elements are moved & you can see bigger space. 
Looks to me, that Labels are slightly moved to right, which causes this behaviour.
  

Expected results:
Same space between elements.

Additional info:
Comment 1 Einav Cohen 2015-08-17 08:46:53 EDT
Greg, anything that we can do in order to not have the labels wrapped to a second line (at least not in fairly high resolutions)? maybe assign it another patternfly-grid column (at the expense of a column of the fields)?

Also, in order to prevent too much space between the field and their labels (assuming we are granting an extra column to the labels at the expense of the fields) - can we right-align the labels (as depicted in [1]) rather than left-align them?

https://www.patternfly.org/wikis/patterns/forms/form-layout/#horizontal-form
Comment 2 Greg Sheremeta 2015-09-16 00:15:45 EDT
I can add a column. That's the usual fix.

I could right align, but the login page shows them left-aligned.

https://www.patternfly.org/patterns/login-page/
Comment 3 Einav Cohen 2015-09-16 09:24:08 EDT
(In reply to Greg Sheremeta from comment #2)
> I can add a column. That's the usual fix.
> 
> I could right align, but the login page shows them left-aligned.
> 
> https://www.patternfly.org/patterns/login-page/

ok, so let's start with only adding a column. 
we can discuss the right align vs. left align on the login page with the patternfly team separately. 
thanks.
Comment 4 Greg Sheremeta 2015-09-16 09:32:59 EDT
You got it.
Comment 5 Petr Kubica 2015-11-26 08:36:06 EST
Verified in rhevm webadmin 3.6.1-0.2.el6

Note You need to log in before you can comment on or make changes to this bug.